# Generated by Selenium IDE
import pytest
import time
import json
from selenium import webdriver
from selenium.webdriver.common.by import By
from selenium.webdriver.common.action_chains import ActionChains
from selenium.webdriver.support import expected_conditions
from selenium.webdriver.support.wait import WebDriverWait
from selenium.webdriver.common.keys import Keys
from selenium.webdriver.common.desired_capabilities import DesiredCapabilities
class TestGuiTests():
  # Sets up the Chromedriver that controls the browser
  def setup_method(self, method):
    self.driver = webdriver.Chrome("./Chromedriver.exe")
    self.vars = {}
  
  # Quits the driver
  def teardown_method(self, method):
    self.driver.quit()
  
  # Tests the slideshow in the homepage
  def test_homeSlideshowTest(self):
    self.driver.get("http://theplantpla.net/")
    self.driver.set_window_size(1294, 776)
    self.driver.find_element(By.CSS_SELECTOR, ".nav:nth-child(3) path").click()
    self.driver.find_element(By.CSS_SELECTOR, ".nav:nth-child(3) > svg").click()
    self.driver.find_element(By.CSS_SELECTOR, ".nav:nth-child(3) > svg").click()
    self.driver.close()
  
  # Tests the search functionality in the Animal model page
  def test_animalSearchTest(self):
    self.driver.get("http://theplantpla.net/animal")
    self.driver.set_window_size(1294, 776)
    self.driver.find_element(By.CSS_SELECTOR, ".jss10 > .MuiInputBase-input").click()
    self.driver.find_element(By.CSS_SELECTOR, ".jss10 > .MuiInputBase-input").send_keys("Canada")
    self.driver.find_element(By.CSS_SELECTOR, ".jss10 > .MuiInputBase-input").send_keys(Keys.ENTER)
    element = self.driver.find_element(By.CSS_SELECTOR, ".MuiButton-textSizeSmall > .MuiButton-label")
    actions = ActionChains(self.driver)
    actions.move_to_element(element).perform()
    self.driver.find_element(By.CSS_SELECTOR, ".MuiButton-textSizeSmall > .MuiButton-label").click()
    self.driver.find_element(By.CSS_SELECTOR, ".ais-SearchBox-input").click()
    self.driver.find_element(By.CSS_SELECTOR, ".ais-SearchBox-input").click()
    element = self.driver.find_element(By.CSS_SELECTOR, ".ais-SearchBox-input")
    actions = ActionChains(self.driver)
    actions.double_click(element).perform()
    self.driver.find_element(By.CSS_SELECTOR, ".ais-SearchBox-input").send_keys("Tiger")
    self.driver.find_element(By.CSS_SELECTOR, ".ais-SearchBox-input").send_keys(Keys.ENTER)
    self.driver.find_element(By.CSS_SELECTOR, ".ais-Hits-item:nth-child(2) .MuiButton-label").click()
    self.driver.close()
  
  # Tests the search functionality in the Location model page
  def test_locationSearchTest(self):
    self.driver.get("http://theplantpla.net/location")
    self.driver.set_window_size(1294, 776)
    self.driver.find_element(By.CSS_SELECTOR, ".jss11 > .MuiInputBase-input").click()
    self.driver.find_element(By.CSS_SELECTOR, ".jss11 > .MuiInputBase-input").send_keys("Newfoundland")
    self.driver.find_element(By.CSS_SELECTOR, ".jss11 > .MuiInputBase-input").send_keys(Keys.ENTER)
    self.driver.find_element(By.CSS_SELECTOR, ".MuiButton-textSizeSmall > .MuiButton-label").click()
    self.driver.find_element(By.CSS_SELECTOR, ".ais-SearchBox-input").click()
    self.driver.find_element(By.CSS_SELECTOR, ".ais-SearchBox-input").click()
    self.driver.find_element(By.CSS_SELECTOR, ".ais-SearchBox-input").click()
    element = self.driver.find_element(By.CSS_SELECTOR, ".ais-SearchBox-input")
    actions = ActionChains(self.driver)
    actions.double_click(element).perform()
    self.driver.find_element(By.CSS_SELECTOR, ".ais-SearchBox-input").send_keys("Texas")
    self.driver.find_element(By.CSS_SELECTOR, ".ais-SearchBox-input").send_keys(Keys.ENTER)
    self.driver.find_element(By.CSS_SELECTOR, ".MuiButton-textSizeSmall > .MuiButton-label").click()
    self.driver.close()
  
  # Tests the search functionality in the Plant model page
  def test_plantSearchTest(self):
    self.driver.get("http://theplantpla.net/plant")
    self.driver.set_window_size(1294, 776)
    self.driver.find_element(By.CSS_SELECTOR, ".jss10 > .MuiInputBase-input").click()
    self.driver.find_element(By.CSS_SELECTOR, ".jss10 > .MuiInputBase-input").send_keys("Alaska")
    self.driver.find_element(By.CSS_SELECTOR, ".jss10 > .MuiInputBase-input").send_keys(Keys.ENTER)
    element = self.driver.find_element(By.CSS_SELECTOR, ".ais-Hits-item:nth-child(1) .MuiButton-label")
    actions = ActionChains(self.driver)
    actions.move_to_element(element).perform()
    self.driver.find_element(By.CSS_SELECTOR, ".ais-Hits-item:nth-child(1) .MuiButton-label").click()
    element = self.driver.find_element(By.CSS_SELECTOR, ".ais-Hits-item:nth-child(2) .MuiButton-label")
    actions = ActionChains(self.driver)
    actions.move_to_element(element).perform()
    self.driver.find_element(By.CSS_SELECTOR, ".ais-Hits-item:nth-child(2) .MuiButton-label").click()
    self.driver.close()
  
  # Tests the search functionality in the Search page
  def test_seachTest(self):
    self.driver.get("http://theplantpla.net/search")
    self.driver.set_window_size(1294, 776)
    self.driver.find_element(By.CSS_SELECTOR, ".ais-SearchBox-input").click()
    self.driver.find_element(By.CSS_SELECTOR, ".ais-SearchBox-input").send_keys("Wyoming")
    self.driver.find_element(By.CSS_SELECTOR, ".ais-SearchBox-input").send_keys(Keys.ENTER)
    element = self.driver.find_element(By.CSS_SELECTOR, ".ais-Hits:nth-child(9) .ais-Hits-item:nth-child(1) .MuiButton-label")
    actions = ActionChains(self.driver)
    actions.move_to_element(element).perform()
    self.driver.find_element(By.CSS_SELECTOR, ".ais-Hits:nth-child(9) .ais-Hits-item:nth-child(1) .MuiButton-label").click()
    self.driver.find_element(By.CSS_SELECTOR, ".ais-SearchBox-input").click()
    self.driver.find_element(By.CSS_SELECTOR, ".ais-SearchBox-input").send_keys("Wyoming")
    self.driver.find_element(By.CSS_SELECTOR, ".ais-SearchBox-input").send_keys(Keys.ENTER)
    self.driver.find_element(By.CSS_SELECTOR, ".ais-Hits:nth-child(14) .ais-Hits-item:nth-child(1) .MuiButton-label").click()
    self.driver.execute_script("window.scrollTo(0,668)")
    self.driver.execute_script("window.scrollTo(0,934)")
    self.driver.execute_script("window.scrollTo(0,1164)")
    self.driver.find_element(By.CSS_SELECTOR, ".ais-SearchBox-input").click()
    self.driver.find_element(By.CSS_SELECTOR, ".ais-SearchBox-input").send_keys("Wyoming")
    self.driver.find_element(By.CSS_SELECTOR, ".ais-SearchBox-input").send_keys(Keys.ENTER)
    element = self.driver.find_element(By.CSS_SELECTOR, ".ais-Hits:nth-child(19) .MuiButton-label")
    actions = ActionChains(self.driver)
    actions.move_to_element(element).perform()
    self.driver.find_element(By.CSS_SELECTOR, ".ais-Hits:nth-child(19) .MuiButton-label").click()
    self.driver.close()
  
  # Tests the hide/show functionality in the Search page
  def test_searchShowHideTest(self):
    self.driver.get("http://theplantpla.net/search")
    self.driver.set_window_size(1294, 776)
    self.driver.find_element(By.CSS_SELECTOR, ".ais-SearchBox-input").click()
    self.driver.find_element(By.CSS_SELECTOR, ".ais-SearchBox-input").send_keys("Texas")
    self.driver.find_element(By.CSS_SELECTOR, ".ais-SearchBox-input").send_keys(Keys.ENTER)
    self.driver.find_element(By.CSS_SELECTOR, ".ais-InstantSearch > .MuiButtonBase-root:nth-child(3) > .MuiButton-label").click()
    self.driver.find_element(By.CSS_SELECTOR, ".ais-InstantSearch > .MuiButtonBase-root:nth-child(4)").click()
    element = self.driver.find_element(By.CSS_SELECTOR, ".ais-InstantSearch > .MuiButtonBase-root:nth-child(5) > .MuiButton-label")
    actions = ActionChains(self.driver)
    actions.move_to_element(element).perform()
    self.driver.find_element(By.CSS_SELECTOR, ".ais-InstantSearch > .MuiButtonBase-root:nth-child(5) > .MuiButton-label").click()
    element = self.driver.find_element(By.CSS_SELECTOR, "body")
    actions = ActionChains(self.driver)
    actions.move_to_element(element, 0, 0).perform()
    self.driver.find_element(By.CSS_SELECTOR, ".ais-InstantSearch > .MuiButtonBase-root:nth-child(3) > .MuiButton-label").click()
    self.driver.find_element(By.CSS_SELECTOR, ".ais-InstantSearch > .MuiButtonBase-root:nth-child(4)").click()
    element = self.driver.find_element(By.CSS_SELECTOR, ".ais-InstantSearch > .MuiButtonBase-root:nth-child(5) > .MuiButton-label")
    actions = ActionChains(self.driver)
    actions.move_to_element(element).perform()
    self.driver.find_element(By.CSS_SELECTOR, ".ais-InstantSearch > .MuiButtonBase-root:nth-child(5) > .MuiButton-label").click()
    element = self.driver.find_element(By.CSS_SELECTOR, "body")
    actions = ActionChains(self.driver)
    actions.move_to_element(element, 0, 0).perform()
    self.driver.close()
  